classification
Title: No regression tests for -E and individual environment vars
Type: Stage: resolved
Components: Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: SilentGhost, ncoghlan, vstinner
Priority: normal Keywords:

Created on 2013-01-14 12:03 by ncoghlan, last changed 2019-05-15 02:02 by vstinner. This issue is now closed.

Messages (5)
msg179934 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-01-14 12:03
Accessing an environment variable without Py_GETENV (or breaking Py_IgnoreEnvironmentFlag configuration *cough*) may lead to environment variables being accessed even if -E is passed on the command line.

As part of the PEP 432 implementation, I'm adding appropriate regression tests for affected environment variables as I go.

Creating this as a reminder to look into backporting the relevant regression tests at least to 3.3
msg223221 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-16 15:23
Consider yourself reminded :)
msg338072 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2019-03-16 09:31
Nick, please re-open if you feel this issue is still relevant.
msg339193 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-03-30 12:27
Victor Stinner added a great many regression tests in this area for Python 3.7+
msg342528 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-15 02:02
I added a lot of tests on environment variables and -I/-E options in test_embed. I consider that this issue is now fixed.
History
Date User Action Args
2019-05-15 02:02:13vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg342528

resolution: out of date -> fixed
2019-03-30 12:27:24ncoghlansetmessages: + msg339193
2019-03-16 09:31:33SilentGhostsetnosy: + SilentGhost
messages: + msg338072

resolution: out of date
stage: resolved
2019-03-15 21:58:11BreamoreBoysetnosy: - BreamoreBoy
2015-06-28 03:03:23ncoghlansetassignee: ncoghlan ->
2014-07-16 15:23:00BreamoreBoysetnosy: + BreamoreBoy

messages: + msg223221
versions: + Python 3.4, Python 3.5, - Python 3.3
2013-01-14 12:03:14ncoghlancreate